| Home | Libraries | People | FAQ | More

### Class template tuple

Fusion's implementation of the TR1 Tuple is also a fusion Forward Sequence. As such the fusion tuple type provides a lot of functionality beyond that required by TR1.

Currently tuple is basically a synonym for `vector`, although this may be changed in future releases of fusion.

##### Synopsis

    template<
        typename T1 = unspecified,
        typename T2 = unspecified,
        ...
        typename TN = unspecified>
    class tuple;

/tuple.hpp>